import React, {useState} from 'react';
import '../Style/DropDown.css';
import DropDownSelect from './DropDownSelect';

const DropDown = () => {
    const [clicked, setClicked] = useState(false);

    const BackgroundOptions = ["One", "Two", "Three", "Four"];
    const FontOptions = ['Calibri', 'Arial', 'Sans'];
    const MusicOptions = ["Upbeat", "Downbeat"];

    const determineRender = () => {
        if (clicked) return (
            <div className={"dropdown-menu"}>
                <span className={'cross-icon'} onClick={() => setClicked(!clicked)}/>
                <div className={'dropdowns'}>
                    <DropDownSelect
                        optionLabel={"Background"}
                        options={BackgroundOptions}
                    />
                    <DropDownSelect
                        optionLabel={"Font"}
                        options={FontOptions}
                    />
                    <DropDownSelect
                        optionLabel={"Sound"}
                        options={MusicOptions}
                    />
                </div>
            </div>
        );
        return <span className={'settings-icon'} onClick={() => setClicked(!clicked)}/>
    };

    return (<div className={'dropdown'}>
            {determineRender()}
    </div>);
};

export default DropDown;